Memory
Grant an agent access to a memory space
POST /v1/memory-space-grants · SDK createMemorySpaceGrant · CLI deployments memory-space-grant create
POST
Requires memory:admin.
tenantJwtheader
AuthorizationBearer <token>Tenant JWT carrying organization, project, and environment claims.
x-deployments-environment?stringOptional tenant consistency assertion; when supplied, it must match the authenticated credential.
Match
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-organization?stringOptional tenant consistency assertion; when supplied, it must match the authenticated credential.
Match
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-project?stringOptional tenant consistency assertion; when supplied, it must match the authenticated credential.
Match
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key?stringLimited to 500 UTF-8 bytes.
Length
1 <= length <= 500application/json- body
agentDefinitionId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$memorySpaceId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$permission*stringValue in
"read""read-write"MemoryObjectResponse
application/json- response
curl -X POST "https://example.com/v1/memory-space-grants" \ -H "Content-Type: application/json" \ -d '{ "agentDefinitionId": "string", "memorySpaceId": "string", "permission": "read" }'{}